Вопрос Как получить список неподдерживаемых пакетов, упомянутых во время обновления ОС?


Во время бега sudo do-release-upgrade, Я получил сообщение, говорящее:

Canon уже не поддерживает 16 установленных пакетов. Вы все равно можете получить поддержку от сообщества.

Я знаю, что, вероятно, не стоит беспокоиться, но как я могу получить список этих пакетов перед началом обновления?

Ниже приведен полный вывод do-release-upgrade перед тем как выбрать продолжение: http://paste.ubuntu.com/12990830/

Для лучшего удобства это самая важная его часть:

Calculating the changes

Do you want to start the upgrade? 


16 installed packages are no longer supported by Canonical. You can 
still get support from the community. 

61 packages are going to be removed. 204 new packages are going to be 
installed. 1617 packages are going to be upgraded. 

You have to download a total of 1,220 M. This download will take 
about 55 minutes with your connection. 

Installing the upgrade can take several hours. Once the download has 
finished, the process cannot be canceled. 

 Continue [yN]  Details [d]

6
2017-10-28 13:00


происхождения


Какую версию ubuntu вы используете? - Wilf
Я обновляюсь с 15.04 до 15.10, правда ли версия? - Dan
@ Да, да. - Tim
Во время процесса обновления вы должны увидеть список неподдерживаемых пакетов. - A.B.
Я бы сказал, используйте d для деталей. - A.B.


ответы:


  • Первый вариант: нажмите D для просмотра деталей после запуска sudo do-release-upgrade как вы можете видеть это в выводе команды в вашем вопросе.

  • Второй вариант: использовать /var/log/dist-upgrade/main.log

    awk -F\' '/demoted/ {gsub(/ /,"\n",$2); print $2}' /var/log/dist-upgrade/main.log
    

    увидеть что-то подобное

    dvipng
    gir1.2-vte-2.90
    gnome-icon-theme-symbolic
    libart2.0-cil
    libgconf2-4
    libgconf2.0-cil
    libgnome-vfs2.0-cil
    libgnome2.24-cil
    libvte-2.90-9
    monodoc-manual
    obex-data-server
    python-commandnotfound
    rhythmbox-mozilla
    
  • Третий вариант: вы можете увидеть список установленных пакетов сообщества с помощью этой команды

    aptitude search '~i ~suniverse' -F "%p"
    

    увидеть что-то подобное

    adwaitaicon-theme-full
    aglfn
    aha                                                                           
    android-tools-adb                                                                  
    android-tools-fastboot
    anjuta
    anjuta-common
    apt-file
    […snip…]
    

5
2017-10-28 17:21



Если я не ошибаюсь, последний будет более точным после завершения обновления, верно? - Dan
Да все верно. - A.B.


Когда вы выходите из сценария обновления до релиза, выбираете ли вы N или y, журнал будет сохранен в /var/log/dist-upgrade/main.log,

Получение списка неподдерживаемых пакетов - это запуск следующей команды:

cat /var/log/dist-upgrade/main.log | grep demoted

вы получите результат, похожий на:

2015-10-28 18:14:01,540 DEBUG demoted: 'gir1.2-vte-2.90 gnome-icon-theme gnome-icon-theme-symbolic gstreamer0.10-plugins-base-apps libpocketsphinx1 libsphinxbase1 libunityvoice1 libvte-2.90-9 libvte-2.90-common obex-data-server python-commandnotfound rhythmbox-mozilla sphinx-voxforge-hmm-en sphinx-voxforge-lm-en ubuntu-wallpapers-vivid unity-voice-service'

4
2017-10-28 17:12